package com.ai.android.Menus.frameanimation;

import android.content.Context;
import android.graphics.Canvas;
import android.graphics.Color;
import android.graphics.Paint;
import android.util.Log;
import android.view.View;
import android.view.View.MeasureSpec;

public class BrickView extends View 
{
   private int suggestedWidth = 40;
   private int suggestedHeight = 40;
   public BrickView(Context context, int width, int height)
   {
      super(context);
      this.suggestedHeight = height;
      this.suggestedWidth = width;
   }
   public BrickView(Context context)
   {
	   this(context,40,40);
   }
    @Override 
    protected void onMeasure(int widthMeasureSpec, int heightMeasureSpec)     
    {
       measureWidth(widthMeasureSpec);
       setMeasuredDimension(suggestedWidth,suggestedHeight);
    }
    private int measureWidth(int wSpec)
    {
       int spec = MeasureSpec.getMode(wSpec);
       int size = MeasureSpec.getSize(wSpec);
       Log.d("fv:", "width Spec:" + spec);
       if (spec == MeasureSpec.AT_MOST)
       {
          Log.d("fv:", "width spec: AT_MOST");
       }
       else if (spec == MeasureSpec.EXACTLY)
       {
          Log.d("fv:", "width spec: EXACTLY");
       }
       else
       {
          Log.d("fv:", "width spec: unspecified");
       }
       Log.d("fv:", "width size:" + size);
       return size;
    }
}
